

ReclaimFutures is a meeting of resourcefulness on a planet gripped by austerity. As it becomes clear to even those in power that the current trajectory is unsustainable, **ReclaimFutures invites and disseminates local and distributed expertise in the shared pursuit of response, realignment and recovery.**

ReclaimFutures is not a space for dreaming liberation achieved via networks or computing power. We define digital technologies not as spaces for world-building or governance, but tools to augment action - simple tools that exist alongside physical, financial and legal counterparts. ReclaimFutures makes space for people who have stepped outside of the global trajectory and wish to share the opportunities and tactics that they've found.

**The future is uncertain but it is not hopeless. Join us and help reclaim it**.

## The Conference

Starting ReclaimFutures in 2020 inevitably shaped the conference in ways we couldn't have anticipated and moving our event online brought many obstacles, limitations and frustrations. But within these challenges also lay opportunities. An online-first event meant our inaugural edition was accessible to greater numbers of participants and attendees alike.

For RF2022 we plan to expand on these successes making the 2022 edition more interactive and more accessible than before. Whilst once again taking place principally online, RF2022 will be spread across an expanded timeline, facilitating a deeper collaboration and wide-scale accessibility that wouldn't be possible with an in-person conference.

### Timeline

**3rd → 16th October 2022 — Livestreams**:  
The talks, presentations and performances selected from responses to the call for proposals will be livestreamed. Livestreams will be repeated at multiple times during the day to facilitate attendance from different timezones. Talks and presentations will be supported with full-text closed captioning.
In addition the broadcast platform will enable timestamped commenting and text annotation and the live chat will be recorded along side each livestream.

**16th → 20th October 2022 — Archiving and meta-analysis**:  
Comments, annotations and livechat contributions will be archived, common themes and pertinent questions will be extracted and collated.

**21st → 23rd October 2022 — Live event**:  
Livestreamed Q&A and roundtable sessions will be held in realtime with conference participants building discussions based on the findings of the archiving/analysis phase. Further participative workshops and live performances may also take place these dates.

**November 2022 onward:**  
RF2022 lives on as an interactive archive.

## Call for Proposals

ReclaimFutures is considered in an open, accessible and respectful philosophy and is a conference trying to feature those typically less heard within tech circles. As such, **RF is open** to all individuals or non-commercial groups to participate by presenting talks (video or audio-only format), artworks, workshops and performances and strongly encourages submissions from anyone who considers themselves to belong to an underrepresented group including but not limited to BIPOCs, LGBTQIA+, non-binary people, people with disabilities, women, working class, persons with no fixed address, immigrants, refugees, the undocumented, and first-time speakers.

ReclaimFutures is run as a DIT (Do It Together), community-funded, not-for-profit project and rejects commercial financial influence and thus cannot ensure to pay ‘competitive’ large fees or expenses<sup>[[1]](#ref-1)</sup>.

**All participants will be paid an equal share of the proceeds of the event**.

If you’re looking for inspiration we’ve assembled a list of **[hypothetical talk titles and subjects](/rf2022/hypothetical-titles-subjects)** which you may take as a starting point, fully adopt, or of course completely disregard. You are also encouraged take a look at the archives of our ongoing series *[THE PARA-REAL: Finding the Future in Unexpected Places](https://stream.undersco.re/series/the-para-real)* or past conference edition [RF2020](/rf2020/archive/).

## Submit a proposal

The deadline for the proposals is the 17 July 2022. We are only able to consider proposals submitted by the link below. If you have questions don’t hesitate to get in touch [by email](mailto:info@reclaimfutures.org).

<a href="https://cloud.undersco.re/apps/forms/kSdpDWPsETETwTpz"><button class="btn-ghost">Submit a proposal</button></a>

<small id="ref-1">1. If you are concerned financial factors would limit your ability to partake in the conference, do not hesitate to get in touch and we will do all we can to help.</small>