

ReclaimFutures est une plateforme de ressources sur une planète aux prises avec l’austérité. Dans la certitude, même au sein des sphères de pouvoir, que la trajectoire actuelle est intenable, **ReclaimFutures invite et dissémine une expertise locale et décentralisée dans la recherche commune de réponses, de nouveaux axes et de stratégies de reprise du pouvoir collectif.**

ReclaimFutures n’est pas un espace où on rêve la libération par les réseaux ou par la puissance de calcul. Nous définissons les technologies digitales non pas comme des espaces de réinvention du monde ou des espaces de gouvernance, mais comme un ensemble d’outils porteurs d’action – des outils simples, qui existent de pair avec leurs pendants matériels, financiers et légaux. ReclaimFutures souhaite accueillir des personnes qui dévié de la trajectoire dominante et souhaitent partager certaines tactiques et opportunités rencontrées. 

**Le futur est incertain mais il n’est pas sans espoir.**  
**Le futur est à nous, reprenons-le ensemble.**

## La conférence

Les débuts de ReclaimFutures en 2020 ont inévitablement façonné l’événement d’une manière que nous ne pouvions imaginer. En transposant l’événement en ligne, nous avons rencontré de nombreux obstacles, limitations et frustrations. Mais les défis ont aussi amené leur lot d’opportunités. Un événement en ligne signifiait que notre toute première édition deviendrait accessible à un nombre plus grand de participant·e·x·s et à un public plus large.

Pour RF2022, nous envisageons de poursuivre sur ce modèle en rendant l’édition 2022 plus interactive et plus accessible qu’auparavant. Bien que l’événement se fera principalement en ligne, RF2022 se tiendra sur une plus longue durée, afin de faciliter la participation du public et de renforcer son accessibilité.

### Timeline

**3 → 16 octobre : livestreams**
Les conférences, présentations et performances issues de l’appel à participer seront diffusées en live. Chaque présentation sera diffusée à plusieurs reprises sur la même journée pour faciliter la participation depuis différents fuseaux horaires. Les conférences et les présentations seront sous-titrées. La plateforme de diffusion permettra de commenter et d’annoter le texte de la présentation. Pour chaque livestream, le contenu du chat sera enregistré et rediffusé en temps réel afin de permettre au public des différentes diffusions de participer à une discussion commune.

**16 → 20 octobre : archivage et analyse**
Les commentaires, les annotations et les contributions du chat seront archivées. Les principaux thèmes et questions en seront extraits et rassemblés.

**21 → 23 octobre 2022 – événement live**
Des tables rondes et des séances de questions-réponses auront lieu en temps réel avec les participant·e·x·s de l’événement qui construiront une discussion basée sur les résultats de la phase d’archivage et d’analyse. Des ateliers et des performances live auront également lieu à ces dates.

**A partir de novembre 2022**
RF2022 continue d’exister sous la forme d’archive interactive.

## Appel à participer

ReclaimFutures est pensé comme un espace ouvert, accessible et respectueux, aspirant à soutenir les moins visible·x·s au sein des cercles tech. RF est ainsi ouvert à tout individu ou groupe non-commercial souhaitant présenter une conférence (au format vidéo ou audio), une œuvre artistique, un atelier, une performance, etc. RF encourage fortement les propositions de personnes qui estiment être membre d’un ou plusieurs groupes sous-représentés, notamment les personnes racisées, LGBTQIA+, non-binaires, handicapées, neuroatypiques, les femmes, les membres de la classe ouvrière, les personnes sans domicile, immigré·e·x·s, réfugié·e·x·s, sans-papiers, et celleux qui prennent la parole pour la première fois.

ReclaimFutures s’organise sous la forme du DIT (Do It Together). RF est un projet non-lucratif et rejette toute influence commerciale. Financé par la communauté, RF ne peut s’engager à verser des rémunérations ou indemnités élevées<sup>[[1]](#ref-1)</sup>.

Touxtes les participant·e·x·s seront payé·e·x·s chacun·e·x une part égale des revenus de l’événement. 

Si vous cherchez de l’inspiration, nous avons assemblé [une liste de titres et sujets potentiels](/rf2022/hypothetical-titles-subjects) qui peuvent servir de point de départ, que vous pouvez entièrement récupérer ou complètement ignorer. Nous vous encourageons à jeter un œil aux archives de notre série *[THE PARA-REAL: Finding the Future in Unexpected Places](https://stream.undersco.re/series/the-para-real)* ou de [RF2020](/rf2020/archive).

## Proposer un projet

La date limite pour déposer un projet est fixée au **17 juillet**. Nous ne pouvons considérer que les projets déposés via le lien ci-dessous. Si vous avez des questions, n’hésitez pas à nous contacter [par mail](mailto:info@reclaimfutures.org).

<a href="https://cloud.undersco.re/apps/forms/kSdpDWPsETETwTpz"><button class="btn-ghost">Cliquez ici pour proposer un projet</button></a>

<small id="ref-1">1. Si des facteurs financiers vous empêchent de participer à la conférence, n’hésitez pas à nous contacter. Nous ferons tout notre possible pour vous soutenir et vous permettre de participer.</small>